Bug 275728 - what to do with start audio/start video in preview release?
Summary: what to do with start audio/start video in preview release?
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contactlist (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: 0.4.0
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks: tppreviewrelease
  Show dependency treegraph
 
Reported: 2011-06-15 16:04 UTC by George Goldberg
Modified: 2012-07-06 12:47 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George Goldberg 2011-06-15 16:04:02 UTC
- Decide what to do with startAudio/startVideo as we have nothing that handles them.
Comment 1 George Kiagiadakis 2011-06-15 16:10:10 UTC
It would be nice if we had a way to detect if a handler for StreamedMedia and/or Call.DRAFT channels is installed and show/hide them depending on that.
Comment 2 David Edmundson 2011-06-16 19:22:07 UTC
[18:18] <oggis_> d_ed: enumerate the (running and activatable) service names from the dbus daemon
[18:18] <oggis_> we possibly should have high-level convenience API for this
[18:18] <oggis_> then introspect them
[18:19] <oggis_> essentially, that'd be doing the same as the CD does
[18:19] <oggis_> actually this should perhaps be a MC feature
[18:19] <oggis_> it should export a dbus property of all channel classes it thinks it can handle

I think we could do the first part. How hard can it be?
Comment 3 David Edmundson 2011-06-16 19:26:34 UTC
Edit:

[18:23] <oggis_> d_ed: I wonder if you can check your own capabilities
[18:23] <oggis_> on the self contact
[18:24] <oggis_> though that'd only give you one connection's advertised caps at a time

Worth a test.
Comment 4 Francesco Nwokeka 2011-06-18 13:38:11 UTC
start audio/start video toolbuttons are activated only if both self and contact have the possibility to initiate one. 
see bug (https://bugs.kde.org/show_bug.cgi?id=275244).

So i think this bug can be closed.
Can anyone confirm?
Comment 5 David Edmundson 2011-06-18 13:49:13 UTC
I think you're right. We did it in the text-ui, and it apparently works there.

I'd like to see this done in the CL code before we close the bug.